Bug 97577 - mailcheck applet should not automatically disable itself when mail server can't be reached
mailcheck applet should not automatically disable itself when mail server can...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
: FutureFeature, MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-17 17:35 EDT by Need Real Name
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 15:51:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-17 17:35:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030529

Description of problem:
I really like the mailcheck applet, but I think it should have a usability tweak.

When the applet cannot connect to the designated mail server, it alerts the user
with a message and then shuts itself off. 

To enable it again, I have to: 
* close the dialogue box
* right-click on the applet
* then chose preferences
* then check the "check for mail every ..." box
* and then hit "Close". 
I have to do this a good half-dozen times a day, and it's very frustrating.

I propose two enhancements to go under Preferences:

------------------------
When mail server cannot be reached ...
[ ] notify user that this has occurred 
[ ] stop automatically checking for new mail
------------------------

IMHO, the first one should be checked by default; current behavior is equivalent
to a checked box. Also, IMHO, the second one should *not* be checked by default;
current behavior is equivalent to a checked box.

Version-Release number of selected component (if applicable):
gnome-applets-2.0.1-6

How reproducible:
Always

Steps to Reproduce:
1. Put an "mailcheck" inbox monitor applet on your gnome panel.
2. Choose a mail server that's down.
3. Opt to check for mail every minute 1 minutes 0 seconds.
4. Click on "Close" and wait one minute.
    

Actual Results:  1. I get an alert/notification that the pop mail server cannot
be reached.
2. The applet stops checking for new mail.

Expected Results:  Actual results 1 and 2 (see above) should be
optional/configurable.

Additional info:
Comment 1 Bruce Bowler 2003-10-08 16:24:18 EDT
This appears to be fixed in the gnome source tree.  See
http://bugzilla.gnome.org/show_bug.cgi?id=121935

Note You need to log in before you can comment on or make changes to this bug.